<div class="review-stat">
    {% for i in stars_list %}
        {% if not single_anime.avg_rating.is_integer and i|add:"-1" < single_anime.avg_rating and i > single_anime.avg_rating %}
            <i class="half-star rating-color"></i>
            <i class="star"></i>
        {% elif i <= single_anime.avg_rating %}
            <i class="half-star rating-color"></i>
            <i class="star rating-color"></i>
        {% else %}
            <i class="half-star"></i>
            <i class="star"></i>
        {% endif %}
    {% endfor %}
</div>